@import "~breakpoint-sass/stylesheets/breakpoint";
@import "~susy/sass/susy";
@import "../../../styles/breakpoints";
@import "../../../styles/colors";

@keyframes progress {
  from {
    left: -200px;
    width: 30%;
  }
  50% {
    width: 30%;
  }
  70% {
    width: 70%;
  }
  80% {
    left: 50%;
  }
  95% {
    left: 120%;
  }
  to {
    left: 100%;
  }
}

.secret {
  display: block;
  max-width: 960px;
  margin: 0 auto;

  @include breakpoint($all-but-xl) {
    padding: 0 15px;
  }

  &__heading {
    display: flex;
    z-index: 1;
  }

  &__progress-bar {
    position: absolute;
    overflow: hidden;
    width: 100%;
    height: 5px;
    left: 0;
    bottom: 0;

    &:after {
      content: "";
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 5px;
      background-color: transparent;
      transition: background-color 0.5s;
    }

    &--is-saving:before {
      content: "";
      position: absolute;
      bottom: 0;
      left: -100vw;
      width: 200vw;
      height: 5px;
      background-clip: padding-box;
      background-color: $color-malibu;
      opacity: 0.25;
      overflow: hidden;
    }

    &--is-saving:after {
      background-color: $color-malibu;
      transform-origin: left;
      width: 500px;
      animation: progress 2s linear infinite;
    }

    &--is-saved:after {
      background-color: $color-de-york;
    }
  }

  &__title {
    flex: 1;
    margin: 2px 0 0;
    padding: 15px 0;
    font-size: 20px;
    font-weight: 600;
    cursor: pointer;

    @include breakpoint($small) {
      font-size: 18px;
    }

    &--add {
      display: block;
      max-width: 960px;
      margin: 0 auto;

      @include breakpoint($all-but-xl) {
        padding-left: 15px;
        padding-right: 15px;
      }
    }

    &--is-active {
      cursor: default;
    }
  }

  &__input {
    &--mono {
      font-family: "Overpass-Mono" !important;
    }

    &--mask {
      color: $color-tiara;
    }
  }

  &__header-actions {
    margin: 7px 0;

    @include breakpoint($small) {
      max-width: 115px;
      text-align: center;
    }
  }

  &__button {
    margin-left: 15px;

    @include breakpoint($small) {
      &:nth-child(n + 2) {
        margin-top: 5px;
      }
    }
  }

  &__details {
    @include container;
    position: relative;
    padding: 20px 0;
  }

  &__field {
    @include span(6 of 12);
    margin-bottom: 20px;

    @include breakpoint($all-small) {
      @include span(12 of 12);
    }

    &--last {
      margin-right: 0;
    }

    &--full {
      @include span(12 of 12);
    }
  }

  &__buttons {
    @include span(12 of 12);
    text-align: right;
    // This only exists because of the :enter animation; it was jumping without this
    // But animations was buggy as of 4.0.1, so this might not be necessary someday
    height: 44px;
  }

  // This only exists because of the :enter animation; it was jumping without this
  // But animations was buggy as of 4.0.1, so this might not be necessary someday
  &__ng-select {
    height: 32px;
  }

  &__add-link {
    text-decoration: underline;
    cursor: pointer;
  }

  &__subtext {
    margin-top: 10px;
    font-size: 14px;
    line-height: 19px;
  }
}
